MS(4) | Kernel Interfaces Manual (SPARC) | MS(4)

# NAME

ms — Sun workstation mouse driver

# SYNOPSIS

pseudo-device mouse

# DESCRIPTION

The ms driver provides an interface to the workstation console mouse. This Mouse Systems three-button device produces five-byte blobs of the form:

    b dx dy dx dy

where “b” is the button state, encoded as `0x80|(~buttons)` -- there are three buttons (4=left, 2=middle, 1=right) -- and “dx” and “dy” are X and Y delta values, none of which are in the range [`0x80..0x87`].

The device special file /dev/mouse is used to get direct access to the mouse input stream. The following ioctl's are supported (mostly just enough to keep the X(1) server going):

VUIDSFORMAT
  Set translation mode. The argument is of type int *, the only value supported is VUID_FIRM_EVENT.
VUIDGFORMAT
  Get translation mode. The argument is of type int *. VUID_FIRM_EVENT is always returned.

## OPTIONS

The mouse driver can be configured using the following kernel configuration file options.

options SUN_MS_BPS=integer
  This option causes the kernel to communicate with the mouse using the serial baud rate integer. It is useful for mice which do not communicate at 1200 baud.

# SEE ALSO

kbd(4)

# BUGS

ms is hardwired to the built-in zs1 serial port.

June 22, 1996 | NetBSD 6.0